Skip to content

List chat sessions​

GET
/chats

Returns a paginated list of chat sessions with filters. Requires chats:read scope.

Authorizations​

BearerAuth

API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.

Type
HTTP (bearer)

Parameters​

Query Parameters

site_id

Filter by site ID

Type
integer
channel_id

Filter by channel

Type
integer
status
Type
string
Valid values
"ai""waiting_operator""operator""closed"
search

Search in messages

Type
string
unread_only
Type
boolean
date_from

Start date (YYYY-MM-DD)

Type
string
Format
"date"
date_to

End date (YYYY-MM-DD)

Type
string
Format
"date"
page

Page number

Type
integer
Minimum
1
Default
1
per_page

Items per page (max 100)

Type
integer
Minimum
1
Maximum
100
Default
30

Responses​

List of chats

application/json
JSON
{
"success": true,
"data": [
{
"session_id": "session_abc123",
"site_id": 0,
"site_name": "string",
"site_favicon_url": "string",
"channel_id": 0,
"channel_name": "string",
"visitor_id": "string",
"client_name": "string",
"chat_status": "string",
"source": "string",
"message_count": 0,
"first_message_at": "string",
"last_message_at": "string",
"last_message_sender_type": "string",
"last_message_preview": "string",
"unread_messages_count": 0,
"is_unread": 0,
"country_code": "string",
"country_name": "string",
"city": "string",
"region": "string",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"avatar_icon": "string",
"avatar_url": "string",
"assigned_operator_name": "string",
"assigned_operator_avatar": "string",
"is_direct_chat": 0,
"products_per_search": 0,
"viewing_operators": [
{
"operator_name": "string",
"operator_avatar": "string"
}
]
}
],
"meta": {
"total": 128,
"total_pages": 5,
"current_page": 1,
"per_page": 30
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Looma.chat — AI-пошук і чат для інтернет-магазинів